## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global m4rie_tag 75a2a862c15932cd86a42b670cd6edc5a004f1d3

Name:           m4rie
Version:        20250128
Release:        %autorelease
Summary:        Linear Algebra over F_2^e
License:        GPL-2.0-or-later
# The bitbucket is labeled as a mirror of github now, and is trailing commits
URL:            https://github.com/malb/m4rie
Source:         %{url}/archive/%{m4rie_tag}.tar.gz
# Remove unnecessary direct library dependencies from the pkgconfig file,
# and also cflags used to compile m4rie, but not needed by consumers of m4rie.
Patch:          %{name}-pkgconfig.patch

# See https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires:  doxygen
BuildRequires:  gcc
BuildRequires:  gmp-devel
BuildRequires:  make
BuildRequires:  pkgconfig(m4ri)
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool


%description
M4RIE is a library for fast arithmetic with dense matrices over F_2^e.
It is an add-on to the M4RI library, which implements fast arithmetic
with dense matrices over F_2.  M4RIE is used by the Sage mathematics
software.

%package        devel
# The content of the HTML documentation is GPL-2.0-or-later.  The other licenses
# are for files copied into the documentation by doxygen.
# bc_s.png: GPL-1.0-or-later
# bdwn.png: GPL-1.0-or-later
# closed.png: GPL-1.0-or-later
# doc.png: GPL-1.0-or-later
# doxygen.css: GPL-1.0-or-later
# doxygen.svg: GPL-1.0-or-later
# dynsections.js: MIT
# folderclosed.png: GPL-1.0-or-later
# folderopen.png: GPL-1.0-or-later
# jquery.js: MIT
# menu.js: MIT
# menudata.js: MIT
# nav_f.png: GPL-1.0-or-later
# nav_g.png: GPL-1.0-or-later
# nav_h.png: GPL-1.0-or-later
# open.png: GPL-1.0-or-later
# splitbar.png: GPL-1.0-or-later
# sync_off.png: GPL-1.0-or-later
# sync_on.png: GPL-1.0-or-later
# tab_a.png: GPL-1.0-or-later
# tab_b.png: GPL-1.0-or-later
# tab_h.png: GPL-1.0-or-later
# tab_s.png: GPL-1.0-or-later
# tabs.css: GPL-1.0-or-later
License:        GPL-2.0-or-later AND GPL-1.0-or-later AND MIT
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       m4ri-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        static
Summary:        Static library files for %{name}
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}

%description    static
The %{name}-static package contains the static %{name} library.

%prep
%autosetup -p1 -n m4rie-%{m4rie_tag}

%build
autoreconf -fi
%configure

%make_build
cd m4rie
doxygen
cd -

%install
%make_install
rm -f %{buildroot}%{_libdir}/lib%{name}.la

%check
make check

%files
%license COPYING
%{_libdir}/lib%{name}.so.*

%files devel
%doc doc/html
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files static
%{_libdir}/lib%{name}.a

%changelog
## START: Generated by rpmautospec
* Tue Jan 28 2025 Jeremy Linton <jlinton@redhat.com> - 20250128-1
- Update to upstream 20250128, move to gihub hosting, and soname format
  updates.

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 20200125-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20200125-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 17 2024 Jerry James <loganjerry@gmail.com> - 20200125-16
- Add VCS field

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20200125-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20200125-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 16 2024 Jerry James <loganjerry@gmail.com> - 20200125-13
- Stop building for 32-bit x86

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20200125-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20200125-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Nov 28 2022 Jerry James <loganjerry@gmail.com> - 20200125-10
- Convert License tag to SPDX.

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20200125-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jul 18 2022 Jerry James <loganjerry@gmail.com> - 20200125-8
- Add README.md.

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20200125-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20200125-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20200125-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Nov 09 2020 Jerry James <loganjerry@gmail.com> - 20200125-4
- Explicitly BR make.

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 20200125-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 20200125-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jan 27 2020 Jerry James <loganjerry@gmail.com> - 20200125-1
- Version 20200125.

* Thu Jan 16 2020 Jerry James <loganjerry@gmail.com> - 20200115-1
- Version 20200115.  Add -pkgconfig patch.

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 20150908-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 08 2019 Jerry James <loganjerry@gmail.com> - 20150908-12
- Add more tex BRs.  Drop obsolete workaround for bz 1198355.

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 20150908-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 20150908-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu May 31 2018 Jerry James <loganjerry@gmail.com> - 20150908-9
- Use %%ldconfig_scriptlets.

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 20150908-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20150908-7
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20150908-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20150908-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jan 29 2017 Jerry James <loganjerry@gmail.com> - 20150908-4
- Minor spec file cleanups.

* Fri Feb 05 2016 Jerry James <loganjerry@gmail.com> - 20150908-3
- Add missing LaTeX BR.

* Thu Feb 04 2016 Dennis Gilmore <dennis@ausil.us> - 20150908-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Oct 16 2015 Jerry James <loganjerry@gmail.com> - 20150908-1
- New upstream release.

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> - 20140914-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Mar 06 2015 Jerry James <loganjerry@gmail.com> - 20140914-2
- Add LaTeX BR to fix FTBFS (see bz 1198355).

* Tue Oct 28 2014 Jerry James <jamesjer@betterlinux.com> - 20140914-1
- New upstream release. Drop upstreamed -aarch64 and -doxygen patches. Fix
  license handling.

* Sun Aug 17 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 20130416-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 20130416-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Dennis Gilmore <dennis@ausil.us> - 20130416-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 09 2013 Jerry James <jamesjer@betterlinux.com> - 20130416-2
- Bump and rebuild to fix bad F19 build.

* Mon May 06 2013 Jerry James <jamesjer@betterlinux.com> - 20130416-1
- New upstream release. Add -aarch64 and -doxygen patches. Build PDF
  documentation instead of HTML, because of numerous TeX-only constructs in
  the documentation.

* Fri Feb 08 2013 Jerry James <jamesjer@betterlinux.com> - 20120613-3
- Rebuild for givaro 3.7.2.

* Mon Dec 31 2012 Jerry James <loganjerry@gmail.com> - 20120613-2
- Rebuild for m4ri 20121224.

* Mon Dec 10 2012 Jerry James <jamesjer@betterlinux.com> - 20120613-1
- New upstream release.

* Tue Oct 02 2012 Jerry James <jamesjer@betterlinux.com> - 20120415-3
- Rebuild for givaro 3.7.1.

* Thu Jul 19 2012 Dennis Gilmore <dennis@ausil.us> - 20120415-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Apr 28 2012 Jerry James <loganjerry@gmail.com> - 20120415-1
- Initial import.
## END: Generated by rpmautospec
